summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorTimo Sirainen <cras@irssi.org>2002-04-22 09:40:29 +0000
committercras <cras@dbcabf3a-b0e7-0310-adc4-f8d773084564>2002-04-22 09:40:29 +0000
commit2f1b246b9e2b3e3e755b2058d09bee0f92fcbf3f (patch)
treeb2aa2870fe0613431e51c656b41cd7e197577336 /autogen.sh
parent22c0877b56801d538ac73e4026ca536d94bca678 (diff)
downloadirssi-2f1b246b9e2b3e3e755b2058d09bee0f92fcbf3f.zip
Trying again to add glib.m4 files so you don't need them. autogen.sh kludges
around the duplicates. git-svn-id: http://svn.irssi.org/repos/irssi/trunk@2702 dbcabf3a-b0e7-0310-adc4-f8d773084564
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index beba4d10..60f06fd0 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -99,7 +99,7 @@ xlc )
am_opt=--include-deps;;
esac
-rm -f aclocal.m4
+rm -f aclocal.m4 glib.m4 glib-2.0.m4
if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
echo "Running libtoolize..."
libtoolize --force --copy
@@ -107,6 +107,16 @@ fi
aclocalinclude="$ACLOCAL_FLAGS -I ."
echo "Running aclocal $aclocalinclude ..."
aclocal $aclocalinclude
+
+# see if we don't have glib.m4 or glib-2.0.m4 there yet
+if ! grep "^AC_DEFUN(AM_PATH_GLIB," aclocal.m4 >/dev/null; then
+ cp glib.m4_ glib.m4
+fi
+if ! grep "^AC_DEFUN(AM_PATH_GLIB_2_0," aclocal.m4 >/dev/null; then
+ cp glib-2.0.m4_ glib-2.0.m4
+fi
+aclocal $aclocalinclude
+
if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
echo "Running autoheader..."
autoheader